I can't compile gst-plugins-base

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

I can't compile gst-plugins-base

Benedict Holland
I get the following error when I try to compile the gst-pluings-base:

make[4]: Entering directory '/home/firefly/gst-plugins-base/tests/icles'
  CCLD     benchmark-appsink
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_peek_tail'
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_base_src_submit_buffer_list'
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_pop_tail'
collect2: error: ld returned 1 exit status
Makefile:940: recipe for target 'benchmark-appsink' failed
make[4]: *** [benchmark-appsink] Error 1t
Makefile:1321: recipe for target 'all-recursive' failed

I don't know why it doesn't work. /usr/local/lib is linked within  /etc/ld.so.conf.d/. I checked out gstream and gst-plugins-base and set both tags to 1.14.0. 

Any idea why I might get this error?

Thanks,
~Ben

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: I can't compile gst-plugins-base

Nicolas Dufresne-5


Le mar. 3 avr. 2018 00:03, Benedict Holland <[hidden email]> a écrit :
I get the following error when I try to compile the gst-pluings-base:

make[4]: Entering directory '/home/firefly/gst-plugins-base/tests/icles'
  CCLD     benchmark-appsink
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_peek_tail'

If you append V=1 to make call, our makefiles will print the full command line, it should help. Also, your env might have some info.

This means that you built GST with the right headers, but linking is tried against an older version.


../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_base_src_submit_buffer_list'
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_pop_tail'
collect2: error: ld returned 1 exit status
Makefile:940: recipe for target 'benchmark-appsink' failed
make[4]: *** [benchmark-appsink] Error 1t
Makefile:1321: recipe for target 'all-recursive' failed

I don't know why it doesn't work. /usr/local/lib is linked within  /etc/ld.so.conf.d/. I checked out gstream and gst-plugins-base and set both tags to 1.14.0. 

Any idea why I might get this error?

Thanks,
~Ben
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: I can't compile gst-plugins-base

Benedict Holland
Hi! Thanks for the quick reply. I will try it out tonight. I don't know how it would link against an older version. gst-plugins-base requires gstreamer. I built the 1.14.0 version of gstreamer and installed it. I then checked out the 1.14.0 version of gst-plugins-base, configured it, and made it. I only have the git compiled version of gstreamer (it's on an arm based board and they didn't provide a deb). When I did a "make uninstall" on the gstreamer, it deleted everything but my python directories in /usr/local/lib. 

Maybe I need to run an ldconfig or reboot? 

Thanks,
~Ben

On Tue, Apr 3, 2018 at 8:53 AM, Nicolas Dufresne <[hidden email]> wrote:


Le mar. 3 avr. 2018 00:03, Benedict Holland <[hidden email]> a écrit :
I get the following error when I try to compile the gst-pluings-base:

make[4]: Entering directory '/home/firefly/gst-plugins-base/tests/icles'
  CCLD     benchmark-appsink
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_peek_tail'

If you append V=1 to make call, our makefiles will print the full command line, it should help. Also, your env might have some info.

This means that you built GST with the right headers, but linking is tried against an older version.


../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_base_src_submit_buffer_list'
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_pop_tail'
collect2: error: ld returned 1 exit status
Makefile:940: recipe for target 'benchmark-appsink' failed
make[4]: *** [benchmark-appsink] Error 1t
Makefile:1321: recipe for target 'all-recursive' failed

I don't know why it doesn't work. /usr/local/lib is linked within  /etc/ld.so.conf.d/. I checked out gstream and gst-plugins-base and set both tags to 1.14.0. 

Any idea why I might get this error?

Thanks,
~Ben
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel



_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: I can't compile gst-plugins-base

Benedict Holland
So I don't know why this happens but here is the issue. 

gst-plugins-base/tests/icles/Makefile

needs to have -lgstbase-1.0 added to the line. Instead of

GST_LIBS = -L/usr/local/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0  $(GCOV_LIBS) INCORRECT

It should be

GST_LIBS = -L/usr/local/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lgstbase-1.0 $(GCOV_LIBS) CORRECT

This will compile. I don't know why autoconfig wouldn't do that. 

Thanks,
~Ben

On Tue, Apr 3, 2018 at 10:59 AM, Benedict Holland <[hidden email]> wrote:
Hi! Thanks for the quick reply. I will try it out tonight. I don't know how it would link against an older version. gst-plugins-base requires gstreamer. I built the 1.14.0 version of gstreamer and installed it. I then checked out the 1.14.0 version of gst-plugins-base, configured it, and made it. I only have the git compiled version of gstreamer (it's on an arm based board and they didn't provide a deb). When I did a "make uninstall" on the gstreamer, it deleted everything but my python directories in /usr/local/lib. 

Maybe I need to run an ldconfig or reboot? 

Thanks,
~Ben

On Tue, Apr 3, 2018 at 8:53 AM, Nicolas Dufresne <[hidden email]> wrote:


Le mar. 3 avr. 2018 00:03, Benedict Holland <[hidden email]> a écrit :
I get the following error when I try to compile the gst-pluings-base:

make[4]: Entering directory '/home/firefly/gst-plugins-base/tests/icles'
  CCLD     benchmark-appsink
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_peek_tail'

If you append V=1 to make call, our makefiles will print the full command line, it should help. Also, your env might have some info.

This means that you built GST with the right headers, but linking is tried against an older version.


../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_base_src_submit_buffer_list'
../../gst-libs/gst/app/.libs/libgstapp-1.0.so: undefined reference to `gst_queue_array_pop_tail'
collect2: error: ld returned 1 exit status
Makefile:940: recipe for target 'benchmark-appsink' failed
make[4]: *** [benchmark-appsink] Error 1t
Makefile:1321: recipe for target 'all-recursive' failed

I don't know why it doesn't work. /usr/local/lib is linked within  /etc/ld.so.conf.d/. I checked out gstream and gst-plugins-base and set both tags to 1.14.0. 

Any idea why I might get this error?

Thanks,
~Ben
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel




_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: I can't compile gst-plugins-base

Tim Müller
On Tue, 2018-04-03 at 20:13 -0400, Benedict Holland wrote:

> So I don't know why this happens but here is the issue.
>
> gst-plugins-base/tests/icles/Makefile
>
> needs to have -lgstbase-1.0 added to the line. Instead of
>
> GST_LIBS = -L/usr/local/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0  
> $(GCOV_LIBS) INCORRECT
>
> It should be
>
> GST_LIBS = -L/usr/local/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0
> -lgstbase-1.0 $(GCOV_LIBS) CORRECT
>
> This will compile. I don't know why autoconfig wouldn't do that.

Not sure this should really be needed though, as neither of these to
programs uses API from libgstbase directly.

It smells more like a libtool issue to me, and libgstapp-1.0.so already
links to libgstbase so that should be used transparently.

What distro/os is this?

Cheers
 -Tim

--
Tim Müller, Centricular Ltd - http://www.centricular.com
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel